<script lang="ts">
    import type { OrkgSinglePublication } from "$lib/types/orkg.type";
    import OrkgAuthors from "./OrkgAuthors.svelte";

    export let orkgPublication: OrkgSinglePublication;
    let expanded = false;
</script>

<div class="my-4 border-y-4 border-solid">
    <div>
        <button aria-expanded={expanded} on:click={() => (expanded = !expanded)}
            ><p class="text-cyan-800 text-base italic font-light my-2">
                {orkgPublication.name.value}
            </p>
        </button>
    </div>

    <div hidden={!expanded}>
        <!-- Name -->
        <div class="relative z-0 w-full mb-6 group">
            <input
                type="text"
                id="Name"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.name.value}
                on:change={() => (orkgPublication.name.modified = true)}
                required
            />
            <label
                for="Name"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.name.name}</label
            >
        </div>
        <!-- DOI -->
        <div class="relative z-0 w-full mb-6 group">
            <input
                type="text"
                id="Doi"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.doi.value}
                on:change={() => (orkgPublication.doi.modified = true)}
                required
            />
            <label
                for="Doi"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.doi.name}</label
            >
        </div>
        <!-- Year -->
        <div class="relative z-0 w-full mb-6 group">
            <input
                type="number"
                min="0"
                max="9999"
                step="1"
                id="year"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.year.value}
                on:change={() => (orkgPublication.year.modified = true)}
                required
            />
            <label
                for="year"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.year.name}</label
            >
        </div>
        <!-- Source -->
        <!-- <div class="relative z-0 w-full mb-6 group">
            <input
                type="text"
                id="source"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.source.value}
                on:change={() => (orkgPublication.source.modified = true)}
                required
            />
            <label
                for="source"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.source.name}</label
            >
        </div> -->
        <!-- <div class="relative z-0 w-full mb-6 group">
            <label
                for="source"
                class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
                >{orkgPublication.source.name}</label
            >
            <input
                type="text"
                id="source"
                list={`$sourceList`}
                class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                bind:value={orkgPublication.source.value}
                on:change={() => (orkgPublication.source.modified = true)}
            />
            <datalist id={`$sourceList`}>
                {#each orkgPublication.source.options as option}
                    <option value={option}>
                        {option}
                    </option>
                {/each}
            </datalist>
        </div> -->
        <!-- Url -->
        <div class="relative z-0 w-full mb-6 group">
            <input
                type="url"
                id="url"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.url.value}
                on:change={() => (orkgPublication.url.modified = true)}
                required
            />
            <label
                for="url"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.url.name}</label
            >
        </div>
        <!-- Abstract -->
        <div class="relative z-0 w-full mb-6 group">
            <input
                type="text"
                id="abstract"
                class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent border-0 border-b-2 border-gray-300 appearance-none dark:text-white dark:border-gray-600 dark:focus:border-blue-500 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                placeholder=" "
                bind:value={orkgPublication.abstract.value}
                on:change={() => (orkgPublication.abstract.modified = true)}
                required
            />
            <label
                for="abstract"
                class="peer-focus:font-medium absolute text-sm text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                >{orkgPublication.abstract.name}</label
            >
        </div>
        <!-- Authors -->
        {#each orkgPublication.authors as author}
            <OrkgAuthors bind:author />
        {/each}
    </div>
</div>
